★ TouchArcade needs your help. Click here to support us on Patreon.

How to install Duke 3D on an iPod Touch 1G

08-19-2009, 01:20 PM
#1
Joined: Aug 2009
Posts: 9
How to install Duke 3D on an iPod Touch 1G

This thread's for you if you're one of the unfortunate souls (like me) that bought Duke 3D on iTunes, only to find out that "This app requires a microphone".

Whilst MachineWorks Northwest is working out an update that should solve this mess, I stumbled upon an app review by "Dokter_mac" that briefly explains how you can already try out Duke 3D on an iPod Touch 1G right now! (The odds are you probably won't find this app review, as it can only be seen by folks using the Belgian iTunes Store...)

Anyone with an iPod Touch 1G can follow these steps; there's no nasty jailbreaking stuff involved and you don't need an Apple Developer Connection either. One last thing I should point out: The explanation below is primarily meant for Windows. (However, the explanation for the Mac is pretty analogous to this one, so it shouldn't be too hard to figure it out...)

Alright then, you ready? Here goes:

1. If you haven't already done so, go buy Duke 3D through iTunes. (iTunes won't check whether your device meets the requirements of an app or not...)

2. Once Duke 3D has been downloaded to your computer, go locate its file in your iTunes library. It should be right here: My Documents\My Music\iTunes\Mobile Applications\

3. Copy the "Duke 3D 1.0.ipa" file in this folder to your desktop.

4. Rename the copy on your desktop to "Duke 3D 1.0.zip" (A .ipa file is pretty much a .zip-file in disguise...)

5. Unzip "Duke 3D 1.0.zip" (Feel free to browse through what you've just unzipped; you may find some cool stuff like Duke 3D's sounds )

6. Download the "iPhone Configuration Utility" for Windows from Apple. (I think this is the tool that's used to install apps that aren't meant to be published on the App Store, but are only meant for use within a particular company. Not sure though...)
If you can't open the installer, you probably don't have the MS .Net 3.5 Framework Service Pack 1 installed; you should install it first in this case.

7. Now start the iPhone Configuration Utility. (Something to note from here on: On my computer the utility was installed in Dutch, so I'm pretty much guessing how everything translates to the English version...)

8. Connect your iPod Touch 1G to the computer; wait for the utility until it sees your iPod.

9. Now click "Applications".

10. Click the "Add" button in the top-left corner.

11. Select the folder "Desktop\Duke 3D 1.0\Payload\Duke3D.app"

12. Now click on your iPod (right under "Connected devices") and then click the "Applications" tab.

13. Click the Install button next to "Duke3D" and play the waiting game. (For some reason, the utility threw me an error box saying "Failed terminating session" or something of the like. Surprisingly, Duke 3D then was installed on my iPod and it worked just fine. So if you get an error box, you can probably ignore it...)

14. All done! Close the utility, unplug the iPod and have fun!

One last thing: once Duke 3D has been fixed such that you can install it the usual way, you probably want to remove this current installation first! (You can uninstall it the usual way.) Keep in mind that you'll lose your savegames when that happens!
08-19-2009, 01:21 PM
#2
Joined: Jun 2009
Posts: 815
should've posted this in general games discussion..

08-19-2009, 01:23 PM
#3
Joined: Jan 2009
Location: Italy
Posts: 1,452
easier procedure:

1.wait for the update to be approved
2.sync
08-19-2009, 01:44 PM
#4
Joined: Aug 2009
Posts: 9
Quote:
Originally Posted by sam the lion View Post
easier procedure:

1.wait for the update to be approved
2.sync
Yeah, I tried that, but I got sick of waiting

EDIT:
Quote:
Originally Posted by shawn_10 View Post
should've posted this in general games discussion..
Ah, seems it has already been moved. A thank you to the superfast moderators

Last edited by nferno; 08-19-2009 at 01:50 PM.
08-19-2009, 03:34 PM
#5
Joined: Apr 2009
Location: Indiana, USA
Posts: 5,712
Even easier solution:
1) Buy a new device.
2) Enjoy.

Tug Boat Minister of Propaganda
Proud member of T.A.A.P. - Touch Arcaders Against Piracy. Over 500 members and counting. Join now!
08-19-2009, 08:54 PM
#6
not working for me

I have 1st gen touch. I did get the error message stated however I was not as lucky as since the install failed. Other than waiting for the update, or buying the latest and greatest device, any other ideas???
08-19-2009, 09:08 PM
#7
Joined: Apr 2009
Location: USA
Posts: 2,437
how bout this........sue apple for the rights to the app store and push the update through faster

ssɐ sıɥ dn ɯǝɥʇ ǝʌoɥs puɐ sƃuıɹ dıɥsuoıdɯɐɥɔ sǝıɹǝs plɹoʍ ㄥᄅ sǝǝʞuɐʎ ǝɥʇ ǝʞɐʇ uɐɔ ıpɹɐɹıƃ ǝoɾ
08-20-2009, 05:10 PM
#8
How clever of you Goldglover, perhaps you should try breaking the prozac in half. Putting aside the 4 year old comments I suppose I'm forced to wait for the update.
08-20-2009, 10:17 PM
#9
Joined: Aug 2009
Location: Myrtle Beach, SC USA
Posts: 199
Quote:
Originally Posted by Phantomlord View Post
How clever of you Goldglover, perhaps you should try breaking the prozac in half. Putting aside the 4 year old comments I suppose I'm forced to wait for the update.
Haha good reading material!!! Ty!

Quote:
Originally Posted by indyraider4 View Post
If only birth control was more accessible...
TTR3 - Maelickai ` Plus+ - Maelick ` OpenFeint - Maelick ` Agon - Maelick -=ADD ME!=-
Me likey - Prairie Chute, Taptap Revenge 3, Cocoto Kart Racing, Xenonia (still), Hybrid - Eternal Whisper, Dungeon Hunter, SkeeBall